size(420, 420)
speed(20)

def draw():
    
    stroke(0.7, 0.1, 0.1, 0.5)
    transform(CORNER)
    
    # This is the starting origin point,
    # where we place the sun.
    translate(225, 225)
    oval(-5, -5, 10, 10, fill(0.8, 0.4, 0.4))
    text("one", 10, 0)
    
    for i in range(3):
        
        # Each planet acts as a local origin for the orbitting moon.
        # Comment out the push() and pop() and see what happens.
        push()
        
        # This is a line with a length of 120,
        # that starts at the sun and has an angle of i * 120.
        rotate(FRAME+i*120)
       # line(0, 0, 100, 0)
        
        # Move the origin to the end of the line.
        translate(120, 0)
        nostroke()
        oval(-20, -5, 10, 10, (fill(0.3, 0.3, 0.8, 0.5)))
        text("two", -5, 5)
        
        # Keep rotating around the local planet.
        rotate(FRAME*1)
        #line(-10, 0, 20, 0)
        push()
        fill(0.2, 0.8, 0.2, 0.7)
        text("three", 20, 8)
        pop()
        
        # Move the origin back to the sun.
        pop()
        